summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2016-07-02 17:51:12 +0200
committerPacho Ramos <pacho@gentoo.org>2016-07-02 19:10:57 +0200
commit50ace07e3faf806149c17e87b1d2be9df0b84790 (patch)
tree6a38a5c19a2f222830efc3d72825f638708ef968
parentmedia-libs/gupnp-dlna: Drop old (diff)
downloadgentoo-50ace07e3faf806149c17e87b1d2be9df0b84790.tar.gz
gentoo-50ace07e3faf806149c17e87b1d2be9df0b84790.tar.bz2
gentoo-50ace07e3faf806149c17e87b1d2be9df0b84790.zip
media-libs/gupnp-dlna: Version bump
Package-Manager: portage-2.3.0_rc1
-rw-r--r--media-libs/gupnp-dlna/Manifest1
-rw-r--r--media-libs/gupnp-dlna/gupnp-dlna-0.10.5.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/media-libs/gupnp-dlna/Manifest b/media-libs/gupnp-dlna/Manifest
index 2b04b0f18c2..9812a337f44 100644
--- a/media-libs/gupnp-dlna/Manifest
+++ b/media-libs/gupnp-dlna/Manifest
@@ -1 +1,2 @@
DIST gupnp-dlna-0.10.4.tar.xz 328596 SHA256 5641134baa8fe3a2e129de15fc6a992f2fe1006ea446b7566483eada4840e1d6 SHA512 167562dd493f6de0a7afd43337b8c191157b7903653c834c4219313e60e7725adf3d30f21f4c0655f9e6849677ecac80ea7d7e8a9786387204a387f1b9afa598 WHIRLPOOL 546dfed0a9ae93ceb73112855bf5a964d39d782fa215eb4fe6d0d054b0f851fa58e0c7309fa9e083a5a58eeb79dc1735a691bc32025ac09fa0f679ea44fa69fe
+DIST gupnp-dlna-0.10.5.tar.xz 329468 SHA256 123e368227c11d5c17fc1aa76cbdaffa345355eb51d172cd39fc74a5b468ff6a SHA512 060e997dc85d840722bc31c8eb2c7f986151220ac6f3de9e073f4dd62fdd57ffa049b628080832d6b96c1988f49eacc29d539f738ed61797019264f68ebf7680 WHIRLPOOL 9147cc42ab3252a14dc890b260a6a4c5bf1a02761fab3f516a22066d48e89ed0fef942d822c9822e500c94f7d96e09582082135f6888ce6e874cdb4b88a3a2c5
diff --git a/media-libs/gupnp-dlna/gupnp-dlna-0.10.5.ebuild b/media-libs/gupnp-dlna/gupnp-dlna-0.10.5.ebuild
new file mode 100644
index 00000000000..421e21fd3e3
--- /dev/null
+++ b/media-libs/gupnp-dlna/gupnp-dlna-0.10.5.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+VALA_USE_DEPEND="vapigen"
+
+inherit gnome2 vala
+
+DESCRIPTION="Library providing DLNA-related functionality for MediaServers"
+HOMEPAGE="https://wiki.gnome.org/Projects/GUPnP"
+
+LICENSE="LGPL-2"
+SLOT="2.0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="+introspection"
+
+RDEPEND="
+ >=dev-libs/glib-2.34:2
+ >=dev-libs/libxml2-2.5:2
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0[introspection?]
+ introspection? ( >=dev-libs/gobject-introspection-0.6.4:= )
+"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.11
+ virtual/pkgconfig
+ introspection? ( $(vala_depend) )
+"
+
+src_prepare() {
+ # Make doc parallel installable
+ cd "${S}"/doc/gupnp-dlna
+ sed -e "s/\(DOC_MODULE.*=\).*/\1${PN}-${SLOT}/" \
+ -e "s/\(DOC_MAIN_SGML_FILE.*=\).*/\1${PN}-docs-${SLOT}.sgml/" \
+ -i Makefile.am Makefile.in || die
+ sed -e "s/\(<book.*name=\"\)${PN}/\1${PN}-${SLOT}/" \
+ -i html/${PN}.devhelp2 || die
+ mv ${PN}-docs{,-${SLOT}}.sgml || die
+ mv ${PN}-overrides{,-${SLOT}}.txt || die
+ mv ${PN}-sections{,-${SLOT}}.txt || die
+ mv ${PN}{,-${SLOT}}.types || die
+ mv html/${PN}{,-${SLOT}}.devhelp2
+
+ cd "${S}"
+
+ use introspection && vala_src_prepare
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ $(use_enable introspection)
+}
+
+src_install() {
+ # https://bugzilla.gnome.org/show_bug.cgi?id=720053
+ MAKEOPTS="${MAKEOPTS} -j1" gnome2_src_install
+}